
<html>
<head>
<title>ANISEED - Ascidian article results (Ciona intestinalis, Halocynthia roretzi)</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="description" content="This page is the result of a search by PubmedID, authors, title or journal in all Ciona intestinalis and Halocynthia roretzi articles present in Aniseed. For more information, please contact dauga@ibdm.univ-mrs.fr">
<meta name="keywords" content="Aniseed, Ciona intestinalis, Halocynthia roretzi, Ciona intestinalis database, expression data, in situ hybridization, anatomical data, genes, genes function, regulation, article, paper, publication, journal, author, Pubmed.">
<meta name = "robots" content = "index, follow, all">
<META HTTP-EQUIV="Content-Language" CONTENT="EN">
<style type="text/css">
</style>
</head>

<?
/*
    ANISEED, NISEED System and Database
    Copyright (C) 2007 Olivier Tassy, Fabrice Daian, Patrick Lemaire

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/
include ("connection.php");
include ("frames_header.php");

?>
<font color="#D64242" size="3"><b>Articles in the database matching your query</b></font><br><br>

<?


if (strlen($_POST["query"])==0) 
	{
	print "<center><strong>Please enter a query !</strong></center>";
	include ("frames_footer.php");
	return;
	}

$query=$_POST["query"];

$query.=",";
//$query=str_replace(" ","%",$query);


$pm=(array) null;
if (is_numeric($query))
{
$requete="SELECT \"PUBMED_ID\" from \"REFERENCE\" where \"PUBMED_ID\"='$query' and \"PUBMED_ID\" is not null";
$stmt=pg_query($c,$requete);
if ($row=pg_fetch_array($stmt)) $pm[count($pm)]=$row["PUBMED_ID"];
}
else
{

$tmp=explode(",",$query);

//print_r($tmp);

$r="";
for ($i=0;$i<count($tmp);$i++)
{

$res=trim($tmp[$i]);

if (strlen(trim($tmp[$i]))==0) continue;



if (strlen($r)==0) $r="
(
SELECT \"PUBMED_ID\" from \"REFERENCE\" where UPPER(\"TITLE\") ilike '%".$res."%' and \"PUBMED_ID\" is not null UNION
SELECT \"PUBMED_ID\" from \"REFERENCE\" where UPPER(\"PAPER\") ilike '%".$res."%' and \"PUBMED_ID\" is not null UNION
SELECT \"PUBMED_ID\" from \"REFERENCE\" where UPPER(\"AUTHORS\") ilike '%".$res."%' and \"PUBMED_ID\" is not null
)";
else $r.=" INTERSECT
(
SELECT \"PUBMED_ID\" from \"REFERENCE\" where UPPER(\"TITLE\") ilike '%".$res."%' and \"PUBMED_ID\" is not null UNION
SELECT \"PUBMED_ID\" from \"REFERENCE\" where UPPER(\"PAPER\") ilike '%".$res."%' and \"PUBMED_ID\" is not null UNION
SELECT \"PUBMED_ID\" from \"REFERENCE\" where UPPER(\"AUTHORS\") ilike '%".$res."%' and \"PUBMED_ID\" is not null
)";
}



/////////////

//print $r."<br>";

/*$requete="
SELECT \"PUBMED_ID\" from \"REFERENCE\" where UPPER(\"TITLE\") like '%".strtoupper($query)."%' and \"PUBMED_ID\" is not null
UNION
SELECT \"PUBMED_ID\" from \"REFERENCE\" where UPPER(\"PAPER\") like '%".strtoupper($query)."%' and \"PUBMED_ID\" is not null
UNION
SELECT \"PUBMED_ID\" from \"REFERENCE\" where UPPER(\"AUTHORS\") like '%".strtoupper($query)."%' and \"PUBMED_ID\" is not null
";*/
$requete=$r;


$stmt=pg_query($c,$requete);
while ($row=pg_fetch_array($stmt))
{
$pm[count($pm)]=$row["PUBMED_ID"];
}


///////////////



}




if (count($pm)==0) 
	{
	print "<br><br><center><strong>Aniseed database doesn't contain any articles matching with your query</strong></center><br><br>";
	include ("frames_footer.php");
	return;
	}

///////RESULTS
/*
if (count($pm)==1) print "<center><em><b>".count($pm)." </b> article in the database is matching your query</center></em><br>";
else print "<center><em><b>".pg_num_rows($stmt)." </b> articles in the database are matching your query</center></em><br>";
*/

?>
<table width="100%" border="0" cellspacing="0" cellpadding="5">
<tr>
<td align="center"><font color="#456898" size="2"><b>Title</b></font></td><td align="center"><font color="#456898" size="2"><b>Journal</b></font></td><td align="center"><font color="#456898" size="2"><b>Authors</b></font></td><td align="center"><font color="#456898" size="2"><b>Aniseed data</b></font></td><td align="center"><font color="#456898" size="2"><b>Pubmed</b></font></td></tr>
<?
//Recuperer les abstract de tous les articles presents dans la database
$AFFICH=0;

for ($GLOB=0;$GLOB<count($pm);$GLOB++)
{

$pmid=$pm[$GLOB];


/////////////// FILTER THE STATUS OF THE ARTICLE TO KNOW WETHER ITS PUBLIC CURATED, OR NOT (IS NOT CURATED IF ALL THE EXPERIMENTS
//// ASSOCIATED WITH ARE NOT CURATED


$requete="select distinct \"CHECKED\" from \"IN_SITU\" where \"IN_SITU_ID\" in (
SELECT \"BIO_ID\" from \"REFERENCE\" where \"PUBMED_ID\"='$pmid')";
$stmt=pg_query($c,$requete);
$s="";
while ($row=pg_fetch_array($stmt)) $s.=$row["CHECKED"];
//print $pmid." ".$row["CHECKED"]."<br>";
//print $pmid." ".$s."<br>";

if ($s=="n") continue;

$AFFICH++;











$requete="SELECT \"AUTHORS\",\"TITLE\",\"PAPER\" from \"REFERENCE\" where \"PUBMED_ID\"='$pmid'";
$stmt=pg_query($c,$requete);
$row=pg_fetch_array($stmt);

$paper=$row["PAPER"];
$title=$row["TITLE"];
$auteur=$row["AUTHORS"];
$contents="";

if (strlen($pmid)==0) continue;



$requete0="SELECT \"ARTICLE_ID\" from \"ARTICLE\" where \"PUBMED_ID\"='$pmid'";
$stmt0=pg_query($c,$requete0);
$row0=pg_fetch_array($stmt0);

$article_id=$row0["ARTICLE_ID"];



/*
$web="http://eutils.ncbi.nlm.nih.gov/entrez/eutils/efetch.fcgi?id=$pmid&db=pubmed&report=xml";


$resource=curl_init("http://eutils.ncbi.nlm.nih.gov/entrez/eutils/efetch.fcgi?id=$pmid&db=pubmed&report=xml");
curl_setopt($resource, CURLOPT_RETURNTRANSFER, 1);
$contents=curl_exec($resource);
curl_close($resource);



//Nom de l'article
$contents2=str_replace("&lt;ArticleTitle&gt;","§",$contents);
$contents2=str_replace("&lt;/ArticleTitle&gt;","§",$contents2);
$tab=split("§",$contents2);
$title=$tab[1];

//Nom du journal
$contents2=str_replace("&lt;MedlineTA&gt;","§",$contents);
$contents2=str_replace("&lt;/MedlineTA&gt;","§",$contents2);
$tab=split("§",$contents2);
$paper=$tab[1];

//Nom des auteurs
$contents2=str_replace("&lt;LastName&gt;","§",$contents);
$contents2=str_replace("&lt;/LastName&gt;","§",$contents2);
$tab=split("§",$contents2);
$auteurN=(array) null;
$auteurI=(array) null;
for ($i=1;$i<count($tab)-1;$i++)
	if ($i%2!=0) $auteurN[count($auteurN)]=$tab[$i];
$contents2=str_replace("&lt;Initials&gt;","§",$contents);
$contents2=str_replace("&lt;/Initials&gt;","§",$contents2);
$tab=split("§",$contents2);
for ($i=1;$i<count($tab)-1;$i++)
	if ($i%2!=0) $auteurI[count($auteurI)]=$tab[$i];
$auteur="";
for ($i=0;$i<count($auteurN)-1;$i++)
$auteur.=$auteurN[$i]." ".$auteurI[$i].", ";
$auteur.=$auteurN[count($auteurN)-1]." ".$auteurI[count($auteurN)-1];

//Le volume
$contents2=str_replace("&lt;Volume&gt;","§",$contents);
$contents2=str_replace("&lt;/Volume&gt;","§",$contents2);
$tab=split("§",$contents2);
$volume=$tab[1];

//L'issue
$contents2=str_replace("&lt;Issue&gt;","§",$contents);
$contents2=str_replace("&lt;/Issue&gt;","§",$contents2);
$tab=split("§",$contents2);
$issue=$tab[1];

//L'année
$contents2=str_replace("&lt;Year&gt;","§",$contents);
$contents2=str_replace("&lt;/Year&gt;","§",$contents2);
$tab=split("§",$contents2);
$year=$tab[1];

//la page
$contents2=str_replace("&lt;MedlinePgn&gt;","§",$contents);
$contents2=str_replace("&lt;/MedlinePgn&gt;","§",$contents2);
$tab=split("§",$contents2);
$page=$tab[1];


$paper.=". ".$year." ".$month.";".$volume."(".$issue."):".$page;
*/


 print "<td style=\"border-top:1px solid black;\" valign=\"center\"><font color=\"#656565\" size=\"-2\">$title</font></td><td style=\"border-top:1px solid black;\" valign=\"center\" ><font color=\"#656565\" size=\"-2\">$paper</font></td><td style=\"border-top:1px solid black;\" valign=\"center\" ><font color=\"#656565\" size=\"-2\">$auteur</font><td style=\"border-top:1px solid black;\" valign=\"center\" align=\"center\"><font color=\"#656565\" size=\"-2\">

<!--<a href=\"biblio.php?pmid=$pmid\"><img src=\"pictures/mini-aniseed.jpg\" border=\"0\"></a>-->

<a href=\"view-article.php?id=$article_id\"><img src=\"pictures/mini-aniseed.jpg\" border=\"0\"></a>

</td></td><td style=\"border-top:1px solid black;\" valign=\"center\" align=\"center\"><font color=\"#656565\" size=\"-2\"><a href=\"http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?db=PubMed&cmd=Retrieve&list_uids=$pmid&dopt=Abstract\"><font color=\"#000000\" size=\"-2\"><img src=\"pictures/mini-pubmed.jpg\" border=\"0\"></a></font></td>";



print "</tr>";








}



print "</table>";


if ($AFFICH==0) 
	{
	print "<br><br><center><strong>Aniseed database doesn't contain any articles matching with your query</strong></center><br><br>";
	include ("frames_footer.php");
	return;
	}


























include ("frames_footer.php");
?>